VERSION 5.00
Begin VB.Form FrmConnected 
   Caption         =   "Connected to the AS/400"
   ClientHeight    =   3225
   ClientLeft      =   2640
   ClientTop       =   2400
   ClientWidth     =   4860
   Icon            =   "FrmConnected.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   3225
   ScaleWidth      =   4860
   Begin VB.CommandButton Command1 
      Caption         =   "&Extended Fetch"
      Height          =   495
      Left            =   1185
      TabIndex        =   2
      Top             =   1185
      Width           =   2220
   End
   Begin VB.CommandButton cbTest 
      Caption         =   "&Run a Test Statement"
      Height          =   495
      Left            =   1185
      TabIndex        =   1
      Top             =   405
      Width           =   2220
   End
   Begin VB.CommandButton cbLogout 
      Caption         =   "&Logout and Exit"
      Height          =   495
      Left            =   1215
      TabIndex        =   0
      Top             =   2040
      Width           =   2220
   End
End
Attribute VB_Name = "FrmConnected"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False


Private Sub cbLogout_Click()
Unload Me
'Be sure to look at the form.unload code
'to see how we handle cleanup!
End Sub

Private Sub cbTest_Click()
'Ok, all sql libraries have a view
'called systables.  So, we are going to select
'all of the table names from systables and print
'them to the debug object.  this gives you a chance
'to see a statement in action!

'here is the prep method preparing our sql statement
'note that we are telling prep that we want to
'retrieve 1 record at a time.  X will contain
'true or false.
ST = Timer()
X = S1.Prep("select name from systables", 1)

If Not X Then
    S1.Errd
    'Print the error to the screen
    Exit Sub
End If

X = S1.Execute()
If Not X Then
    S1.Errd
    'Again, printing the reason for failure!
    Exit Sub
End If
cntr = 0
While S1.Fetch()    'fetch will be true until out of records!
    Debug.Print S1.Getc(1)
    cntr = cntr + 1
    'The getc method returns data from the statement buffer.
    'In the above call, column 1 is requested
Wend

et = Timer() - ST
MsgBox "Elapsed Time: " & et & " " & Format(IIf(et > 0, cntr / et, 0), "#,##0.00##") & " rows per second"

End Sub

Private Sub Command1_Click()

'here is the prep method preparing our sql statement
'note that we are telling prep that we want to
'retrieve 500 records at a time.  X will contain
'true or false.
ST = Timer()
X = S1.Prep("select name from systables", 500)

If Not X Then
    S1.Errd
    'Print the error to the screen
    Exit Sub
End If

X = S1.Execute()
If Not X Then
    S1.Errd
    'Again, printing the reason for failure!
    Exit Sub
End If
cntr = 0
While S1.ExtFetchNext(rows&)    'fetch will be true until out of records!
    For i = 0 To rows& - 1
        Debug.Print S1.Getc(1, i)
    Next
    cntr = cntr + rows&
    'The getc method returns data from the statement buffer.
    'In the above call, column 1 is requested record i
Wend
et = Timer() - ST
MsgBox "Elapsed Time: " & et & " " & Format(IIf(et > 0, cntr / et, 0), "#,##0.00##") & " rows per second"
End Sub

Private Sub Form_Unload(Cancel As Integer)

'Ok, now we must clean up nice so no
'stray ram is left lying around!
'We kill the statement classes

S1.Kill

'we disconnect any connections

Con1.Disconnect

'then we end the odbc environment!

OEnv.Sql_End

'we are free of the ODBC classes and can end our
'processing.  Note that you do not have to
'disconnect or release statement classes.  By
'calling SQL_END, we implicitly kill all connections.
'
'however, it is good coding practice to clean up
'after yourself.

End Sub
